com.genesyslab.wfm8.API.service.performance810

## Class SPerfItemDataAndTotal

- java.lang.Object
- - com.genesyslab.wfm8.API.service.performance810.SPerfItemDataAndTotal

- All Implemented Interfaces:
    java.io.Serializable

      public class SPerfItemDataAndTotal
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `current`
    `protected java.util.List<SPerfData>` | `data`
    `protected int` | `dataArraySize`
    `protected double` | `end`
    `protected int` | `granularity`
    `protected int` | `item`
    `private static long` | `serialVersionUID`
    `protected double` | `start`
    `protected double` | `totalValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPerfItemDataAndTotal()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getCurrent()` Gets the current value for this SPerfItemDataAndTotal.
    `java.util.List<SPerfData>` | `getData()` Gets the data value for this SPerfItemDataAndTotal.
    `int` | `getDataArraySize()` Gets the dataArraySize value for this SPerfItemDataAndTotal.
    `double` | `getEnd()` Gets the end value for this SPerfItemDataAndTotal.
    `int` | `getGranularity()` Gets the granularity value for this SPerfItemDataAndTotal.
    `int` | `getItem()` Gets the item value for this SPerfItemDataAndTotal.
    `double` | `getStart()` Gets the start value for this SPerfItemDataAndTotal.
    `double` | `getTotalValue()` Gets the totalValue value for this SPerfItemDataAndTotal.
    `int` | `hashCode()`
    `void` | `setCurrent(double current)` Sets the current value for this SPerfItemDataAndTotal.
    `void` | `setData(java.util.List<SPerfData> data)` Sets the data value for this SPerfItemDataAndTotal.
    `void` | `setDataArraySize(int dataArraySize)` Sets the dataArraySize value for this SPerfItemDataAndTotal.
    `void` | `setEnd(double end)` Sets the end value for this SPerfItemDataAndTotal.
    `void` | `setGranularity(int granularity)` Sets the granularity value for this SPerfItemDataAndTotal.
    `void` | `setItem(int item)` Sets the item value for this SPerfItemDataAndTotal.
    `void` | `setStart(double start)` Sets the start value for this SPerfItemDataAndTotal.
    `void` | `setTotalValue(double totalValue)` Sets the totalValue value for this SPerfItemDataAndTotal.
    `java.lang.String` | `toString()`
    `SPerfItemDataAndTotal` | `withCurrent(double value)`
    `SPerfItemDataAndTotal` | `withData(java.util.Collection<SPerfData> values)`
    `SPerfItemDataAndTotal` | `withData(SPerfData... values)`
    `SPerfItemDataAndTotal` | `withDataArraySize(int value)`
    `SPerfItemDataAndTotal` | `withEnd(double value)`
    `SPerfItemDataAndTotal` | `withGranularity(int value)`
    `SPerfItemDataAndTotal` | `withItem(int value)`
    `SPerfItemDataAndTotal` | `withStart(double value)`
    `SPerfItemDataAndTotal` | `withTotalValue(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### item

          protected int item

    - #### start

          protected double start

    - #### current

          protected double current

    - #### end

          protected double end

    - #### granularity

          protected int granularity

    - #### dataArraySize

          protected int dataArraySize

    - #### data

          protected java.util.List<SPerfData> data

    - #### totalValue

          protected double totalValue

  - ### Constructor Detail

    - #### SPerfItemDataAndTotal

          public SPerfItemDataAndTotal()

  - ### Method Detail

    - #### getItem

          public int getItem()

      Gets the item value for this SPerfItemDataAndTotal.
      Returns:
        item Performance data type
      See Also:
        `EPerfInfoItems`

    - #### setItem

          public void setItem(int item)

      Sets the item value for this SPerfItemDataAndTotal.
      Parameters:
        `item` - Performance data type
      See Also:
        `EPerfInfoItems`

    - #### getStart

          public double getStart()

      Gets the start value for this SPerfItemDataAndTotal.
      Returns:
        start Requested period start date and time

    - #### setStart

          public void setStart(double start)

      Sets the start value for this SPerfItemDataAndTotal.
      Parameters:
        `start` - Requested period start date and time

    - #### getCurrent

          public double getCurrent()

      Gets the current value for this SPerfItemDataAndTotal.
      Returns:
        current Current time step date and time

    - #### setCurrent

          public void setCurrent(double current)

      Sets the current value for this SPerfItemDataAndTotal.
      Parameters:
        `current` - Current time step date and time

    - #### getEnd

          public double getEnd()

      Gets the end value for this SPerfItemDataAndTotal.
      Returns:
        end Requested period start date and time

    - #### setEnd

          public void setEnd(double end)

      Sets the end value for this SPerfItemDataAndTotal.
      Parameters:
        `end` - Requested period start date and time

    - #### getGranularity

          public int getGranularity()

      Gets the granularity value for this SPerfItemDataAndTotal.
      Returns:
        granularity Granularity (also time offset between data values)

    - #### setGranularity

          public void setGranularity(int granularity)

      Sets the granularity value for this SPerfItemDataAndTotal.
      Parameters:
        `granularity` - Granularity (also time offset between data values)

    - #### getDataArraySize

          public int getDataArraySize()

      Gets the dataArraySize value for this SPerfItemDataAndTotal.
      Returns:
        dataArraySize Performance data array size

    - #### setDataArraySize

          public void setDataArraySize(int dataArraySize)

      Sets the dataArraySize value for this SPerfItemDataAndTotal.
      Parameters:
        `dataArraySize` - Performance data array size

    - #### getData

          public java.util.List<SPerfData> getData()

      Gets the data value for this SPerfItemDataAndTotal.
      Returns:
        data Performance data values array

    - #### setData

          public void setData(java.util.List<SPerfData> data)

      Sets the data value for this SPerfItemDataAndTotal.
      Parameters:
        `data` - Performance data values array

    - #### getTotalValue

          public double getTotalValue()

      Gets the totalValue value for this SPerfItemDataAndTotal.
      Returns:
        totalValue Total requested period value

    - #### setTotalValue

          public void setTotalValue(double totalValue)

      Sets the totalValue value for this SPerfItemDataAndTotal.
      Parameters:
        `totalValue` - Total requested period value

    - #### withItem

          public SPerfItemDataAndTotal withItem(int value)

    - #### withStart

          public SPerfItemDataAndTotal withStart(double value)

    - #### withCurrent

          public SPerfItemDataAndTotal withCurrent(double value)

    - #### withEnd

          public SPerfItemDataAndTotal withEnd(double value)

    - #### withGranularity

          public SPerfItemDataAndTotal withGranularity(int value)

    - #### withDataArraySize

          public SPerfItemDataAndTotal withDataArraySize(int value)

    - #### withData

          public SPerfItemDataAndTotal withData(java.util.Collection<SPerfData> values)

    - #### withData

          public SPerfItemDataAndTotal withData(SPerfData... values)

    - #### withTotalValue

          public SPerfItemDataAndTotal withTotalValue(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.